Subject: Re: remove the last set_fs() in common code, and remove it for x86 and powerpc v3

From: Segher Boessenkool <[email-masked]>
Date: Wed, 9 Sep 2020 13:40:01 -0500

On Wed, Sep 09, 2020 at 10:31:34AM -0700, Linus Torvalds wrote:
> And apparently there are people working on this on the gcc side too,
> so it won't just be clang-specific. Nor kernel-specific in that Nick
> tells me some other projects are looking at using that asm goto with
> outputs too.

It will not work like this in GCC, no.  The LLVM people know about that.
I do not know why they insist on pushing this, being incompatible and
everything.

Segher